
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android资源之图像资源（图像级别资源） / 憋错料</title>

    <meta name="description" content="Android资源之图像资源（图像级别资源） 图像状态资源只能定义有限的几种状态.如果需要更多的状态,就要使用图像级别资源.在该资源文件中可以定义任意多个图像级别.每个图像级别是一个整数区间,可以通过ImageView.setImageLevel或Drawable.setLevel方法切换不同状态的图像. 图像级别资源是XML格式的文件,必须将&lt;level-list&gt;标签作为XML的根节点.&lt;level-list&gt;标签中可以有任意多个&lt;item&gt;标签,每一个&lt;item&gt;标签表示一个级别区间.级 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android资源之图像资源（图像级别资源）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>图像状态资源只能定义有限的几种状态。如果需要更多的状态，就要使用图像级别资源。在该资源文件中可以定义任意多个图像级别。每个图像级别是一个整数区间，可以通过ImageView.setImageLevel或Drawable.setLevel方法切换不同状态的图像。</p>
<p>图像级别资源是XML&#26684;式的文件，必须将&lt;level-list&gt;标签作为XML的根节点。&lt;level-list&gt;标签中可以有任意多个&lt;item&gt;标签，每一个&lt;item&gt;标签表示一个级别区间。级别区间用android:minLevel和android:maxLevel属性设置。setImageLevel或setLevel方法设置的级别在某个区间内(android:minLevel&lt;=level&lt;=android:maxLevel),系统就会先用哪个区间对应的图像(用android:drawable属性设置)。在建立这个资源文件时，采用新建Android<br />
 XML时，没有根节点为&lt;level_list&gt;的xml，不过这不要紧，可以新建一个全新的普通的XML文件，然后写入相应代码即可。</p>
<p>下面我给出一个具体的实例（开关灯）：</p>
<p>lamp.xml图像级别资源文件如下：</p>
<pre>&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;level-list xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;&gt;
    &lt;item android:drawable=&quot;@drawable/lamp_off&quot; android:minLevel=&quot;6&quot; android:maxLevel=&quot;10&quot;&gt;&lt;/item&gt;
    &lt;item android:drawable=&quot;@drawable/lamp_on&quot; android:minLevel=&quot;12&quot; android:maxLevel=&quot;20&quot;&gt;&lt;/item&gt;
&lt;/level-list&gt;
</pre>
<p>上面的lamp.xml文件总共定义了两个级别的图像资源。</p>
<p>下面给出主页面布局文件main_layout.xml文件，如下：</p>
<pre>&lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;
    xmlns:tools=&quot;http://schemas.android.com/tools&quot;
    android:layout_width=&quot;match_parent&quot;
    android:layout_height=&quot;match_parent&quot;
   android:orientation=&quot;vertical&quot;
    tools:context=&quot;.MainActivity&quot; &gt;

  &lt;ImageView
      android:id=&quot;@+id/imageview_lamp&quot;
      android:layout_width=&quot;fill_parent&quot;
      android:layout_height=&quot;wrap_content&quot;
      android:src=&quot;@drawable/lamp&quot;
      /&gt;

  &lt;Button
      android:onClick=&quot;onClick_LampOn&quot;
      android:layout_width=&quot;wrap_content&quot;
      android:layout_height=&quot;wrap_content&quot;
      android:text=&quot;开灯&quot;
      /&gt;
   &lt;Button
      android:onClick=&quot;onClick_LampOff&quot;
      android:layout_width=&quot;wrap_content&quot;
      android:layout_height=&quot;wrap_content&quot;
      android:text=&quot;关灯&quot;
      /&gt;
&lt;/LinearLayout&gt;
</pre>
<p>相应的MainActivity的代码如下：</p>
<pre>package com.gc.drawablestudy;

import android.os.Bundle;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.drawable.Drawable;
import android.view.Menu;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
/**author:Android将军*/
public class MainActivity extends Activity {
	private ImageView ivLamp;

	@SuppressLint(&quot;NewApi&quot;)
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		//Resources res=getResources();
		//Drawable drawable=res.getDrawable(R.drawable.bitmap_test);
		//TextView txt=(TextView)findViewById(R.id.textView);
		//txt.setBackground(drawable);
		ivLamp=(ImageView)findViewById(R.id.imageview_lamp);
		//设置level为8，显示lamp_off.png
		ivLamp.setImageLevel(8);

	}

	//&quot;开灯&quot;按钮的单击事件方法
	public void onClick_LampOn(View view)
	{
		//设置level为15，显示lamp_on.png
		ivLamp.setImageLevel(15);
	}
	//&quot;关灯&quot;按钮的单击事件方法
		public void onClick_LampOff(View view)
		{
			//设置level为6，显示lamp_off.png
			ivLamp.setImageLevel(6);
		}
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
</pre>
<p>结合上一篇的博文，大家可以看出，图像状态资源与图像级别资源都可以用来实现按钮不同状态显示不同的图像的效果，如果你的控制只需显示2个或3个效果你可以使用图像状态资源，但是如果你想显示更多的效果，还是使用图像级别资源。</p>
<p>案例效果截图如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MTkwODU5NDk4NzU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WVc1a2NtOXBaRjlxYVdGdVoycDFiZz09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>转载请注明出处：</p>
<p><a href="http://blog.csdn.net/android_jiangjun/article/details/32308551" rel="external nofollow noreferrer">http://blog.csdn.net/android_jiangjun/article/details/32308551</a><br /><P>Android资源之图像资源（图像级别资源）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 21:27:32 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/xml/" title="XML">XML</a>, <a href="https://www.biecuoliao.com/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.biecuoliao.com/tag/imageview/" title="imageview">imageview</a>, <a href="https://www.biecuoliao.com/tag/android%e5%b9%b3%e5%8f%b0/" title="android平台">android平台</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android资源之图像资源（图像级别资源）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZDdK8M.html" rel="bookmark">Android开发人员必知的开发资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				developer.android.com 官方开发人员网站推荐资源 在动手编写第一个 Android 应用之前,用心读一读 Android Design 章节.尤其是以下的这些文章: Devices and Displays  (设备和显示) Touch Feedback(触摸反馈) Metrics and Grids (度量和网格) Iconography (图像研究) 同一时候也请下载 Downloads 部分的代码,这些代码囊括了 Android 图标和控件的设计模板,源文件.样式以及无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41VjvGM.html" rel="bookmark">Android学习15--使用（Drawable）资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.图片资源 图片资源是最简单的Drawable资源,只要把*.png.*.jpg*..gif等格式的图片放入/res/drawable-XXX目录下,Android SDK就会在编译应用自动加载该图片,并在R资源清单类中生成该资源的引用. Android不允许图片资源的文件名中出现大写字母,且不能以数字开头. java中访问资源:[.]R.drawable. XML中访问资源:@[]drawable/file_name 为了在程序中获得实际的Drawable对象,Resources提供了Dra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP21en3.html" rel="bookmark">android R文件不在自动生成资源id</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于android R文件不在自动生成资源id的问题解决: 1.设置eclipse-&gt;project-&gt;build automatically 2.上述没有解决的话 project-&gt;clear			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NzeDZ4.html" rel="bookmark">&lbrack;Android学习系列20&rsqb;图形图像的一些事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考: android图形系统详解一:Canvas android图形系统详解二:Drawables android图形系统详解三:形状Drawable和九宫格 android图形系统详解四:控制硬加速 android图形系统详解五:Android绘制模式 android图形系统详解六:View layer[Android学习系列20]图形图像的一些事,码迷,mamicode.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02rZLz0.html" rel="bookmark">在IIS上新发布的网站，样式与js资源文件加载不到&lpar;资源文件和网页同一个域名下&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在IIS上新发布的网站,网站能打开,但样式与js资源文件加载不到(资源文件和网页是同一个域名下,例如:网页www.xxx.com/index.aspx,图片www.xxx.com/pic.png). 然后单独打开资源文件(例如打开图片的链接)是,报错: 这个问题应该是web.config配置文件的设置问题. 在配置文件的&lt;httpHandlers&gt;下的节点,对应的资源文件的type值设置可能是“System.Web.DefaultHttpHandler”值(默认),例如: &lt;httpHa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrEw74.html" rel="bookmark">Atitti 图像处理 图像混合 图像叠加&amp;&num;160&semi;blend 原理与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Atitti 图像处理 图像混合 图像叠加 blend 原理与实现 混合模式 编辑 本词条缺少信息栏,补充相关内容使词条更完整,还能快速升级,赶紧来编辑吧! 混合模式是图像处理技术中的一个技术名词,不仅用于广泛使用的Photoshop中,也应用于AfterEffect.llustrator . Dreamweaver. Fireworks等软件.主要功效是可以用不同的方法将对象颜色与底层对象的颜色混合.当您将一种混合模式应用于某一对象时,在此对象的图层或组下方的任何对象上都可看到混合模式的效果.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ezxXE3.html" rel="bookmark">图像热点&amp;图像映射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图像映射 图像映射也称为图像热点. 作用: 让同一张图片上的不同区域,可以实现多个不同的超链接功能. 图示: &lt;map&gt;图像映射三步走: 图像映射的实现需要三方面配合完成: 1.图像映射容器,就是一个img标签,需使用usemap属性与map标签建立联系 2.图像映射,就是一个map标签,需要使用name属性与map标签建立联系 3.热点区域,需要使用map标签的子标签area来建立热点区域 ? 语法格式: &lt;img src=&quot;1.jpg&quot; usemap=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NQd763.html" rel="bookmark">本图片处理类功能非常之强大可以实现几乎所有WEB开发中对图像的处理功能都集成了，包括有缩放图像、切割图像、图像类型转换、彩色转黑白、文字水印、图片水印等功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import java.awt.AlphaComposite; import java.awt.Color; import java.awt.Font; import java.awt.Graphics; import java.awt.Graphics2D; import java.awt.Image; import java.awt.Toolkit; import java.awt.color.ColorSpace; import java.awt.geom.AffineTransform;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MB71KJ0.html" rel="bookmark">Android 图片Bitmap，drawable，res资源图片之间转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.知识介绍 ①res资源图片是放在项目res文件下的资源图片 ②BitMap位图,一般文件后缀为BMP,需要编码器编码,如RGB565,RGB8888等.一种逐像素的显示对象,其执行效率高,但缺点也很明显,存储效率低. ③Drawable,通用的图形对象,它可以装载常用的图像,GIF,PNG,JPG,也支持BMP,提供一些高级的可视化的对象,如渐变,图形等. 二.项目案例 [步骤] ①将图片放入res/drawable文件夹中,这里面的图片属于res资源图片 ②将图片处理定义成工具类,方便使用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmLzQ4.html" rel="bookmark" class="title">数据结构与算法-----&amp;gt&semi;数据结构-----&amp;gt&semi;二叉树</a>
					<div>
						9.1概述 1)树是一种数据存储结构 2)树结合了有序数组和链表的优点,并且避免了有序数组和链表的缺点. 3)树的术语:路径.根.父节点.子节点.叶子节点.层.子树.访问.遍历.关键字 4)树的分类, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3Ooer3.html" rel="bookmark" class="title">Linux 下比较文件内容并相同部分、不同部分</a>
					<div>
						说明,是通过file2内容与file1做比较,最后列出file1与file2不同的部分! 一.准备两个文件: [[email protected] test1]# cat file1 a b c d  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWpqm0.html" rel="bookmark" class="title">TCP&sol;IP协议族</a>
					<div>
						TCP/IP协议 TCP/IP协议栈主要分为四层:应用层.传输层.网络层.数据链路层,每层都有相应的协议,现在几乎所有的操作系统都实现了TCP/IP协议栈.如下图 上图运输层应为传输层 所谓的协议就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KNLKM.html" rel="bookmark" class="title">移动option</a>
					<div>
						(function() { var leftSelectObj = document.getElementById('leftSelect'); var leftBtnUp = document.ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQZqz3.html" rel="bookmark" class="title">图的遍历之深度优先搜索（DFS）</a>
					<div>
						深度优先搜索(depth-first search)是对先序遍历(preorder traversal)的推广.”深度优先搜索“,顾名思义就是尽可能深的搜索一个图.想象你是身处一个迷宫的入口,迷宫中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYyVV0.html" rel="bookmark" class="title">对于字节序小端和大端的思考</a>
					<div>
						最近公司处理器要换核,由小端处理器ARM换成大端处理器POWERPC,bootloader以及kernel的移植工作交给了我,这是一个很有挑战的工作,自己也非常兴奋. 如此一来,当今主流的嵌入式处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZjpD0.html" rel="bookmark" class="title">Javascript数组方法探究一二</a>
					<div>
						1. Array.prototype.slice方法 数组的 slice 方法通常用来从一个数组中抽取片断.不过,它还有将“类数组”(比如arguments和?HTMLCollection?)转换为真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388gdl3.html" rel="bookmark" class="title">jstring 与 wchar&lowbar;t 的那点事</a>
					<div>
						jstring 对应java的 String  这个大家都知道 但是jstring 与wchar_t有何关系呢,这是个挺纠结的问题,最近一个项目的jni 的字符处理 全部要使用wchar_t,且要与j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKkGe3.html" rel="bookmark" class="title">01-Meet Swift &excl;</a>
					<div>
						S---该Swift的学习内容均以以下网址的内容为基础 https://developer.apple.com/library/ios/referencelibrary/GettingStarted/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyOxbM.html" rel="bookmark" class="title">C&plus;&plus;学习：范围for（range for）语句</a>
					<div>
						语法 范围for(range for)语句遍历给定序列中的每个元素并对序列中的每个值执行某种操作,其语法形式是: for (declaration : expression) statement 其中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5xNgM.html" rel="bookmark" class="title">XE7 update1</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAGqQM.html" rel="bookmark" class="title">农村尼古丁环境可见度发挥聚光镜</a>
					<div>
						http://www.jiaoyou8.com/friends_diary/gaokeng8/0_0_0/view_0011621042_no_0_0.html http://www.jiaoyou8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz17bl4.html" rel="bookmark" class="title">不要让企业用户信息化建设穿上&OpenCurlyDoubleQuote;皇帝的新装&rdquo;</a>
					<div>
						今天想说的是不要让自己企业的信息化穿上&quot;皇帝的新装&quot;,从这几年的工作来看,以安全为例,安全对于大家来说越来越受到重视,从国家政策及舆论层面每日剧增,信息安全或者说网络安全没有绝对安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAZjKM.html" rel="bookmark" class="title">（04）Hibernate的配置</a>
					<div>
						1.Hibernate.cfg.xml 主配置 Hibernate.cfg.xml是主配置文件,其中配置大体分为3部分:数据库连接信息.其他参数.映射信息! &lt;!DOCTYPE hibernat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNx2n4.html" rel="bookmark" class="title">安全测试及B&sol;S C&sol;S安全性比较</a>
					<div>
						一.用户认证安全的测试要考虑问题: 1.        明确区分系统中不同用户权限 2.        系统中会不会出现用户冲突 3.        系统会不会因用户的权限的改变造成混乱 4.     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35A6PE3.html" rel="bookmark" class="title">Unity 2D游戏相机控制（水平，竖直，角色居中三种模式）</a>
					<div>
						做2D游戏的时候,无非有三种模式,一种是只有竖直向上,一种是只有水平方向,一种是有水平又有竖直方向,我最近做游戏多关卡模式,不同模式就有着不一样的相机控制,按照平时的写法,也许有很多人就一下子写了三个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49L7z13.html" rel="bookmark" class="title">作业，6</a>
					<div>
						1.有一个四位正整数,组成这个四位数的四个数字各不相同,如果把它们的首尾互换,第二位与第三位互换,组成一个新的四位数.原四位数为新四位数的4倍,请找出一个这样的四位数. #include&lt;std ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyP1p0.html" rel="bookmark" class="title">本地事务和分布式事务工作实践</a>
					<div>
						一:从事务的历史说起 知已知彼,百战不败.想了解事务,我们从事务的历史说起. 在Windows平台上,事务的概念最开始出现在关系型数据库中,但是随着.net平台的发展,事务包括的的范围也越来越宽,先一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkolEM.html" rel="bookmark" class="title">javascript 一串DIV跟随鼠标移动</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZPLn3.html" rel="bookmark" class="title">Vim的使用</a>
					<div>
						本文介绍了vi (vim)的基本使用方法,但对于普通用户来说基本上够了!i/vim的区别简单点来说,它们都是多模式编辑器,不同的是vim 是vi的升级版本,它不仅兼容vi的所有指令,而且还有一些新的特 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
